<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:cardCornerRadius="10dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/constraintLayout8"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_dialog_close"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="30dp"
                        android:src="@mipmap/cancel"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:layout_width="10dp"
                        android:layout_height="40dp"
                        android:layout_marginTop="30dp"
                        android:background="#00A1FF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_margin="30dp"
                        android:text="作业登记"
                        android:textColor="#38ADFF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <LinearLayout
                        android:layout_width="800dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="60dp"
                        android:layout_marginVertical="150dp"
                        android:orientation="horizontal"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="300dp"
                            android:layout_gravity="center_horizontal"
                            android:orientation="vertical">

                            <ImageView
                                android:id="@+id/iv_sign_up"
                                android:layout_width="240dp"
                                android:layout_height="240dp"
                                android:src="@mipmap/logo_blue" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginTop="10dp"
                                android:text="@string/sign_in_by_qrcode" />

                        </LinearLayout>

                        <com.google.android.flexbox.FlexboxLayout
                            android:id="@+id/fl_work"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            android:paddingHorizontal="10dp"
                            app:alignContent="center"
                            app:flexWrap="wrap"
                            app:justifyContent="flex_start"
                            app:maxLine="3">

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:id="@+id/cl_time"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:visibility="gone">

                                <TextView
                                    android:id="@+id/tv_working"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center"
                                    android:text="正在进行xx作业"
                                    android:textSize="40sp"
                                    app:layout_constraintTop_toTopOf="parent" />

                                <LinearLayout
                                    android:id="@+id/linearLayout13"
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:layout_marginTop="50dp"
                                    android:orientation="horizontal"
                                    app:layout_constraintTop_toBottomOf="@+id/tv_working">

                                    <androidx.cardview.widget.CardView
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_margin="15dp"
                                        app:cardElevation="10dp"
                                        android:layout_weight="1"
                                        app:cardCornerRadius="10dp">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="match_parent"
                                            android:gravity="center_horizontal"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:id="@+id/tv_hour"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="00"
                                                android:textColor="#00A1FF"
                                                android:textSize="70sp" />

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="时"
                                                android:layout_marginStart="10dp"
                                                android:textSize="26sp" />
                                        </LinearLayout>

                                    </androidx.cardview.widget.CardView>

                                    <androidx.cardview.widget.CardView
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        app:cardElevation="10dp"
                                        android:layout_margin="15dp"
                                        android:layout_weight="1"
                                        app:cardCornerRadius="10dp">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="match_parent"
                                            android:gravity="center_horizontal"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:id="@+id/tv_minute"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="00"
                                                android:textColor="#00A1FF"
                                                android:textSize="70sp" />

                                            <TextView
                                                android:layout_marginStart="10dp"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="分"
                                                android:textSize="26sp" />
                                        </LinearLayout>

                                    </androidx.cardview.widget.CardView>

                                    <androidx.cardview.widget.CardView
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_margin="15dp"
                                        app:cardElevation="10dp"
                                        android:layout_weight="1"
                                        app:cardCornerRadius="10dp">

                                        <LinearLayout
                                            android:layout_width="match_parent"
                                            android:layout_height="match_parent"
                                            android:gravity="center_horizontal"
                                            android:orientation="horizontal">

                                            <TextView
                                                android:id="@+id/tv_second"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="00"
                                                android:textColor="#00A1FF"
                                                android:textSize="70sp" />

                                            <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:text="秒"
                                                android:layout_marginStart="10dp"
                                                android:textSize="26sp" />
                                        </LinearLayout>

                                    </androidx.cardview.widget.CardView>


                                </LinearLayout>

                            </androidx.constraintlayout.widget.ConstraintLayout>

                            <TextView
                                android:id="@+id/btn_work_1"
                                android:layout_width="150dp"
                                android:layout_height="100dp"
                                android:layout_marginHorizontal="10dp"
                                android:layout_marginVertical="15dp"
                                android:background="@drawable/bg_work"
                                android:gravity="center"
                                android:text="@string/feed"
                                android:textSize="40sp"
                                android:visibility="gone" />

                            <TextView
                                android:id="@+id/btn_work_2"
                                android:layout_width="150dp"
                                android:layout_height="100dp"
                                android:layout_margin="10dp"
                                android:layout_marginHorizontal="10dp"
                                android:layout_marginVertical="15dp"
                                android:background="@drawable/bg_work"
                                android:gravity="center"
                                android:text="@string/disinfect"
                                android:textSize="40sp"
                                android:visibility="gone" />

                            <TextView
                                android:id="@+id/btn_work_3"
                                android:layout_width="150dp"
                                android:layout_height="100dp"
                                android:layout_margin="10dp"
                                android:layout_marginHorizontal="10dp"
                                android:layout_marginVertical="15dp"
                                android:background="@drawable/bg_work"
                                android:gravity="center"
                                android:text="@string/clean"
                                android:textSize="40sp"
                                android:visibility="gone" />

                            <TextView
                                android:id="@+id/btn_work_4"
                                android:layout_width="150dp"
                                android:layout_height="100dp"
                                android:layout_margin="10dp"
                                android:layout_marginHorizontal="10dp"
                                android:layout_marginVertical="15dp"
                                android:background="@drawable/bg_work"
                                android:gravity="center"
                                android:text="@string/medicine"
                                android:textSize="40sp"
                                android:visibility="gone" />

                            <TextView
                                android:id="@+id/btn_work_5"
                                android:layout_width="150dp"
                                android:layout_height="100dp"
                                android:layout_margin="10dp"
                                android:layout_marginHorizontal="10dp"
                                android:layout_marginVertical="15dp"
                                android:background="@drawable/bg_work"
                                android:gravity="center"
                                android:text="@string/ti_qing"
                                android:textSize="40sp"
                                android:visibility="gone" />

                            <TextView
                                android:id="@+id/btn_work_6"
                                android:layout_width="150dp"
                                android:layout_height="100dp"
                                android:layout_margin="10dp"
                                android:layout_marginHorizontal="10dp"
                                android:layout_marginVertical="15dp"
                                android:background="@drawable/bg_work"
                                android:gravity="center"
                                android:text="@string/product"
                                android:textSize="40sp"
                                android:visibility="gone" />

                        </com.google.android.flexbox.FlexboxLayout>

                    </LinearLayout>

                    <TextView
                        android:id="@+id/btn_cultivate_start"
                        android:layout_width="wrap_content"
                        android:layout_height="100dp"
                        android:layout_marginEnd="300dp"
                        android:layout_marginBottom="40dp"
                        android:background="@drawable/bg_work_blue"
                        android:gravity="center"
                        android:paddingHorizontal="30dp"
                        android:text="登记"
                        android:textColor="@color/white"
                        android:textSize="40sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent" />
                </androidx.constraintlayout.widget.ConstraintLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>